--     ____                _       __               
--    / __ )____  _____   | |     / /___ ___________
--   / __  / __ \/ ___/   | | /| / / __ `/ ___/ ___/
--  / /_/ / /_/ (__  )    | |/ |/ / /_/ / /  (__  ) 
-- /_____/\____/____/     |__/|__/\__,_/_/  /____/  
--                                              
--       A futuristic real-time strategy game.
--          This file is part of Bos Wars.
--
--	unit-dazeys.lua	-	Define the dazeys units.
--
--	(c) Copyright 2005 by Los Taulelle, Graphics by TimberDragon.
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--
--	$Id: unit-dazeys.lua 85 2007-12-13 22:15pm rg $

-- Define, Animation and Construction for all dazeys

DefineAnimations("animations-dazeys", {
	Still = {"frame 0", "wait 1", },
})

DefineConstruction("construction-dazeys", {
	Constructions = {
		{Percent = 0, File = "main", Frame = 0},
	}
})

-- dazey-1

DefineUnitType("unit-dazey-1", {
    Name = "dazey-1",
    Image = {"file", "units/dazeys/dazey_1.png", "size", {72, 112}},
    Offset = {6, -32},
    Shadow = {"file", "units/dazeys/dazey_1s.png", "size", {72, 112}},
    Animations = "animations-dazeys",
    Icon = "icon-dazey-1",
    Construction = "construction-dazeys",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {64, 64},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-dazey-1",
    Size = {46, 38},
    Frame = 0,
    File = "units/dazeys/dazey_1i.png"})

DefineAllow("unit-dazey-1", AllowAll)

-- dazey-2

DefineUnitType("unit-dazey-2", {
    Name = "dazey-2",
    Image = {"file", "units/dazeys/dazey_2.png", "size", {72, 112}},
    Offset = {6, -32},
    Shadow = {"file", "units/dazeys/dazey_2s.png", "size", {72, 112}},
    Animations = "animations-dazeys",
    Icon = "icon-dazey-2",
    Construction = "construction-dazeys",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {64, 64},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-dazey-2",
    Size = {46, 38},
    Frame = 0,
    File = "units/dazeys/dazey_2i.png"})

DefineAllow("unit-dazey-2", AllowAll)

-- dazey-3

DefineUnitType("unit-dazey-3", {
    Name = "dazey-3",
    Image = {"file", "units/dazeys/dazey_3.png", "size", {72, 112}},
    Offset = {6, -32},
    Shadow = {"file", "units/dazeys/dazey_3s.png", "size", {72, 112}},
    Animations = "animations-dazeys",
    Icon = "icon-dazey-3",
    Construction = "construction-dazeys",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {64, 64},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-dazey-3",
    Size = {46, 38},
    Frame = 0,
    File = "units/dazeys/dazey_3i.png"})

DefineAllow("unit-dazey-3", AllowAll)